Bug 431117 - upstart: logd does not appear to work
upstart: logd does not appear to work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: upstart (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Casey Dahlin
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: upstart
  Show dependency treegraph
 
Reported: 2008-01-31 15:21 EST by Bill Nottingham
Modified: 2014-06-18 04:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-01-31 15:21:03 EST
Description of problem:

At least, not as it's described in the man pages. Nothing is ever logged.
May be a configuration issue.

Version-Release number of selected component (if applicable):

upstart-0.3.9-2.fc9
Comment 1 Casey Dahlin 2008-02-10 22:26:59 EST
The majority of our jobs seem to specify 'console output' rather than 'console
logged' in their definition. Could this explain what you're seeing?
Comment 2 Scott James Remnant 2008-02-11 06:22:39 EST
logd is currently disabled in the code.

I discovered that when the standard output of a shell raises EPIPE on write, the
shell doesn't handle it at all and terminates -- apparently with a 0 exit status
(though this may have been an Upstart bug fixed in trunk that didn't report
death by signal if it caused a core dump).

This means that if logd is shut down, all jobs with "console logged" simply
stopped.  The usual reason logd stopped was because it was killed during
shutdown, and at that point, the shutdown process stalled too.

Clearly it needs more thought :-)
Comment 3 Bill Nottingham 2008-02-11 13:26:05 EST
If it's disabled, perhaps we shouldn't build it. 
Comment 4 Casey Dahlin 2008-02-14 00:46:03 EST
That's an option. I may have a solution to this, I'm going to dig into the code
and see.
Comment 5 Bug Zapper 2008-05-14 00:57:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jon Stanley 2008-05-24 15:50:12 EDT
changing version back to rawhide and adding FutureFeature
Comment 7 Bug Zapper 2009-06-09 19:28:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:49:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.